Jobs
Get Job
GET
/jobs/{job_qrn}Retrieve a quantum job by its job QRN.
Args:
- job_qrn (string): Job QRN (qBraid Resource Name)
Returns:
- RuntimeJob object containing the job details
Raises:
- 403: You do not have permission to access this job
- 404: Job is not found
- 422: Validation error if the job_qrn parameter is invalid
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Path Parameters
job_qrnstringrequiredJob QRN (qBraid Resource Name)
Response
200Successful Response
successbooleanrequireddataobjectrequiredSchema for runtime job model
403Forbidden
404Job Not Found
422Validation Error
curl --request GET \
--url https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs/%3Cjob_qrn%3E";
const options = {
method: "GET",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": {
"name": "<string>",
"shots": 123,
"deviceQrn": "<string>",
"tags": {},
"runtimeOptions": {},
"jobQrn": "<string>",
"batchJobQrn": "<string>",
"vendor": "aws",
"provider": "aqt",
"status": "<string>",
"statusMsg": "<string>",
"experimentType": "<string>",
"queuePosition": 123,
"timeStamps": {
"createdAt": "2024-01-01T00:00:00Z",
"endedAt": "2024-01-01T00:00:00Z",
"executionDuration": 123
},
"cost": 123,
"estimatedCost": 123,
"metadata": {}
}
}{
"detail": "You do not have permission to access this job"
}{
"detail": "Job not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}GET
Get Job
Get Job
Response
Fill in the request and press Send to see the live response.200
{
"success": true,
"data": {
"name": "My quantum job",
"shots": 1000,
"deviceQrn": "qbraid:qbraid:sim:qir-sv",
"tags": {},
"runtimeOptions": {},
"jobQrn": "qbraid:job:abc123xyz",
"batchJobQrn": null,
"vendor": "qbraid",
"provider": "qbraid",
"status": "COMPLETED",
"statusMsg": null,
"experimentType": "gate_model",
"queuePosition": null,
"timeStamps": {
"createdAt": "2025-01-15T10:30:00Z",
"endedAt": "2025-01-15T10:30:05Z",
"executionDuration": 5000
},
"cost": 0.501875,
"estimatedCost": 0.5,
"metadata": {}
}
}Was this page helpful?
Thanks for your feedback.

